org.appng.xml.application

## Class Datasources

- java.lang.Object
- - org.appng.xml.application.Datasources

-     public class Datasources
      extends Object

  Java class for datasources complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="datasources">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="datasource" type="{http://www.appng.org/schema/application}datasource" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Datasource>` | `datasource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Datasources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Datasource>` | `getDatasource()` Gets the value of the datasource property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### datasource

          protected List<Datasource> datasource

  - ### Constructor Detail

    - #### Datasources

          public Datasources()

  - ### Method Detail

    - #### getDatasource

          public List<Datasource> getDatasource()

      Gets the value of the datasource property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the datasource property.

      For example, to add a new item, do as follows:

              getDatasource().add(newItem);

      Objects of the following type(s) are allowed in the list `Datasource`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.